import org.apache.hadoop.conf.Configuration;
import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Job;
import org.apache.hadoop.mapreduce.lib.input.TextInputFormat;
import org.apache.hadoop.mapreduce.lib.output.TextOutputFormat;


public class InvertedIndexDriver {

	public static void main(String args[]) throws Exception{
		if (args.length < 2){
			throw new Exception("Usage: <input directory> <output directory>");
		}
		
		Job newJob = new Job(new Configuration(), "hadoop inverted index program");
		newJob.setMapperClass(InvertedIndexMapper.class);
		newJob.setReducerClass(InvertedIndexReducer.class);
		newJob.setJarByClass(InvertedIndexDriver.class);
		
		newJob.setInputFormatClass(TextInputFormat.class);
		newJob.setOutputFormatClass(TextOutputFormat.class);
		newJob.setOutputKeyClass(Text.class);
		newJob.setOutputValueClass(Text.class);
		
		TextInputFormat.setInputPaths(newJob, new Path(args[0]));
		TextOutputFormat.setOutputPath(newJob, new Path(args[1]));
		
		System.exit(newJob.waitForCompletion(true)? 0: 1);
	}
}
