import java.io.IOException;
import java.util.StringTokenizer;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;
import org.apache.hadoop.mapreduce.lib.input.FileSplit;


public class InvertedIndexMapper extends Mapper<LongWritable, Text, Text, Text> {

	protected void map(LongWritable inputKey, Text inputValue, Context context) throws IOException, 
	InterruptedException	{
		StringTokenizer tokenizer = new StringTokenizer(inputValue.toString());
		
		FileSplit fileSplit = (FileSplit)context.getInputSplit();
		Text filePath = new Text(fileSplit.getPath().getName());
		
		while (tokenizer.hasMoreTokens()){
			context.write(new Text(tokenizer.nextToken()), filePath);
		}
	}
}
